
<div class="gray-box form">
	<fieldset>
		<legend><?= __('pv2_settings_title') ?></legend>
		<div class="body">
<!--        Hidden for https://sceonteam.atlassian.net/browse/EF-247-->
<!--                <h3>--><?//= __('change_sales_agent') ?><!--</h3>-->
<!--                <div class="lindent">-->
<!--                    <div class="inner long sales-person" id="sales">-->
<!--                        <div class="error hidden" id="univ-error" ></div>-->
<!---->
<!--                        <div id="select" class="">-->
<!--                            <label for="country">--><?//= __('choose_sales_agent') ?><!--</label>-->
<!--                            <select id="sales-person" name="sales_person" style="width: 207px">-->
<!--                                <option value="" >- --><?//= strtolower(__('choose_sales_agent')) ?><!-- -&nbsp;&nbsp;</option>-->
<!--                                --><?// foreach ($this->salesPersons as $person): ?>
<!--                                    <option value="--><?//= (int)$person['id'] ?><!--"--><?//= $this->user->getEscort()->sales_person == $person['username'] ? ' selected="selected"' : '' ?><!--<?//= $person['username'] ?><&nbsp;&nbsp;</option>-->
<!--                                --><?// endforeach ?>
<!--                            </select>-->
<!--                        </div>-->
<!--                        <div class="clear"></div>-->
<!--                        <div id="input" class="hidden">-->
<!--                            <label for="smsCode">--><?//= __('enter_cod_received_by_sms') ?><!--</label>-->
<!--                            <input id="smsCode" type="text" class="smscode" name="smscode" value="" placeholder="ex. 123456 " style="width: 200px" />-->
<!--                            <div class="confirm">-->
<!--                                <p><b><a id="confirm" href="#">Submit</a></b></p>-->
<!--                            </div>-->
<!--                            <div class="clear"></div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    <div class="clear"></div>-->
<!--                    <div class="sales-sms-compleate hidden">-->
<!--                        <div id="sales-sms">-->
<!--                            Your request has to be confirmed by sms. We are sending a <br>text message to the phone number in your ad --><?//=preg_replace('/^00/', '+', $this->user->getEscort()->contact_phone_parsed)?><!--  <b><a class="send-code" href="" >Send Code</a></b>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    <div class="sales-sms-compleate hidden">-->
<!--                        <div id="sms-sent">-->
<!--                            <b></b>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    <div class="send-code-again hidden">-->
<!--                        <div id="sales-sms">-->
<!--                            You may send code again *  <b><a class="send-code" href="">Send code again</a></b>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    <div class="buttons sms-save-button">-->
<!--                        <button class="sale-save" name="sales" type="button"><img src="--><?///*= _st('_/btn_save-small_'.Cubix_I18n::getLang(). '.gif') */?><!--" alt="Save"/></button>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="last hidden">Phone confirmed, you have to wait your agent confirmation.<a href="" ><b>go back</b></a>-->
<!--                </div>-->
                <br>
                <script type="text/javascript">
                    window.addEvent('domready', function() {
                        var tryCounts = 1;
                        var sendSMS = $$('.sales-sms-compleate');
                        $('sales-person').addEvent('change',function(e) {
                            e.stop();
                            $$('.error').addClass('hidden');
                            var sales_to = $('sales-person').getSelected().get('value');
                            if (sales_to[0] != '')
                            {
                                sendSMS.removeClass('hidden');
                            }else{
                                $$('.error').removeClass('hidden');
                                sendSMS.addClass('hidden');
                                $$('.error').set('html','You have to select sales agent');
                            }
                        });
                        $$('a.send-code').addEvent('click',function(e) {
                            e.stop();
                            var sales_to = $('sales-person').getSelected().get('value')[0];
                            if (sales_to != '')
                            {
                                $$('.error').addClass('hidden');
                                new Request({
                                    url:  "/private-v2/send-verification-code",
                                    data: {'sales_to' : sales_to},
                                    method: 'post',
                                    dataType: 'json',
                                    onSuccess: function (resp) {
                                        resp = JSON.decode(resp, true);
                                        if (resp.error)
                                        {
                                            $$('.error').removeClass('hidden');
                                            $$('.error').set('html',resp.error);
                                            return;
                                        }else{
                                            $$('.send-code-again').addClass('hidden');
                                            $$('.error').addClass('hidden');
                                            $('select').addClass('hidden');
                                            $('input').removeClass('hidden');
                                            $$('.sales-sms-compleate').destroy();
                                            var sagain = setInterval(()=> $$('.send-code-again').removeClass('hidden'),10000);
                                            return;
                                        }
                                    }
                                }).send();
                            }else{
                                sendSMS.addClass('hidden');
                                $$('.error').removeClass('hidden');
                                $$('.error').set('html','You have to select sales agent');
                            }
                        });
                        $('confirm').addEvent('click',function(e) {
                            e.stop();
                            $$('.error').addClass('hidden');
                            var code =$('smsCode').get('value');
                            var sales_to = $('sales-person').getSelected().get('value')[0];
                            if (code.length > 4)
                            {
                                if (tryCounts < 5)
                                {
                                    new Request({
                                        url:  "/private-v2/confirm-verification-code",
                                        data: {'code' : code,'sales_to' : sales_to},
                                        method: 'post',
                                        dataType: 'json',
                                        onSuccess: function (resp) {
                                            resp = JSON.decode(resp, true);
                                            if (resp.error)
                                            {
                                                tryCounts++;
                                                $$('.error').removeClass('hidden');
                                                $$('.error').set('html',resp.error);
                                                return;
                                            }else{
                                                $$('.lindent')[0].empty();
                                                $$('.last').removeClass('hidden');
                                                return;
                                            }
                                        }
                                    }).send();
                                }else{
                                    $$('.error').removeClass('hidden');
                                    $$('.error').set('html','Expired trying limit');
                                }

                            }else{
                                $$('.error').removeClass('hidden');
                                $$('.error').set('html','You have to fill code in input field ');
                            }

                        });
                    });
                    $$('.last').addEvent('click',function(e) {
                        e.stop();
                        window.location.reload();
                    });

                    function showSendSms() {
                        var sendSMS = $('sales-sms');
                        sendSMS.show();
                    }
                 </script>

			<form action="" method="post" onsubmit="Navigation.overlay.disable()">
				<h3><?= __('pv2_settings_profile') ?></h3>
				<div class="lindent">
					<div class="inner long">
						<label for="country"><?= __('pv2_label_country') ?></label>
						<? $model = new Cubix_Geography_Countries() ?>
						<select onchange="Geography.loadCities($('city'), this)" id="country" name="country_id" style="width: 207px">
							<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
							<? foreach ($model->ajaxGetAll(false) as $country): ?>
							<option value="<?= $country->id ?>"<?= $this->data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="city"><?= __('pv2_label_city') ?></label>
						<? $model = new Cubix_Geography_Cities() ?>
						<select id="city" name="city_id" style="width: 207px">
							<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
							<? if ( $this->data['country_id'] ): ?>
							<? foreach ($model->ajaxGetAll(null, $this->data['country_id']) as $city): ?>
							<option value="<?= $city->id ?>"<?= $this->data['city_id'] == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
							<? endif ?>
						</select>
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="email"><?= __('pv2_label_email') ?></label>
						<?= $this->data['email'] ?>
						<br/>
						<span class="red"><?= $this->t('reg_email_note') ?></span>
						<div class="clear"></div>
					</div>

					<div class="buttons">
						<button name="profile" type="submit"><img src="<?= _st('_/btn_save-small_'.Cubix_I18n::getLang(). '.gif') ?>" alt="Save" /></button>
						<button type="reset"><img src="<?= _st('_/btn_reset-small_'.Cubix_I18n::getLang(). '.gif') ?>" alt="Reset" /></button>
					</div>
				</div>
			</form>
			<form action="" method="post" onsubmit="Navigation.overlay.disable()">
				<h3 class="vindent"><?= __('pv2_settings_change_password') ?></h3>
				<div class="lindent">
					<div class="inner long">
						<label for="password"><?= __('pv2_label_enter_current_password') ?></label>
						<input id="password" type="password" class="txt" name="old_password" value="" style="width: 200px" />
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="new-password"><?= __('pv2_label_enter_new_password') ?></label>
						<input id="new-password" type="password" class="txt" name="new_password" value="" style="width: 200px" />
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="new-password-2"><?= __('pv2_label_reenter_new_password') ?></label>
						<input id="new-password-2" type="password" class="txt" name="new_password_2" value="" style="width: 200px" />
						<div class="clear"></div>
					</div>

					<div class="buttons">
						<button name="password" type="submit"><img src="<?= _st('_/btn_save-small_'.Cubix_I18n::getLang(). '.gif') ?>" alt="Save" /></button>
						<button type="reset"><img src="<?= _st('_/btn_reset-small_'.Cubix_I18n::getLang(). '.gif') ?>" alt="Reset" /></button>
					</div>
				</div>
			</form>

		<?php
			$user = Model_Users::getCurrent();
			$user_id = $user->id;
		?>

		<?php if ($user_id == 277346 || $user_id == 345573) : ?>
			<form action="" method="post" onsubmit="Navigation.overlay.disable()">
				<h3 class="vindent"><?= __('pv2_settings_instant_book_phone') ?></h3>
				<div class="lindent">
					<div class="inner long clearFloat">
						<label for="countryCode"> <?= __('country_call_code') ?> </label>
						<select id="countryCode" name="country_code" style="width: 207px">
							<option value="">---</option>
							<?php foreach($this->phone_countries as $country):?>
							<?php $country_code = $country->id . '-' . $country->phone_prefix . '-' . $country->ndd_prefix; ?>
							<option value="<?= $country_code; ?>" <?= ($country_code == $this->settings['country_code']) ? 'selected="selected"' : '' ?>>
								<?= $country->title ?> (+<?= $country->phone_prefix ?>)
							</option>
							<?php endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="instantBookMobile"><?= __('pv2_label_phone_number') ?></label>
						<input id="instantBookMobile" type="phone" class="txt" name="instant_book_mobile_number" style="width: 207px" value="<?= $this->settings['phone_number']; ?>" />
					</div>
					<div class="inner long" style="padding-top: 10px;">
						<label><?= __('pv2_label_receive_sms'); ?></label>
						<label for="" style="width: 50px;">
							<input
								type="radio"
								value="1"
								name="instant_book_receive_sms"
								<?= $this->settings['receive_sms'] == 1 ? 'checked="checked"': ''  ?>
							/> <?= __('pv2_option_yes'); ?>
						</label>
						<label for="" style="width: 50px;">
							<input
								type="radio"
								value="0"
								name="instant_book_receive_sms"
								<?= $this->settings['receive_sms'] == 0 ? 'checked="checked"': ''  ?>
							/>  <?= __('pv2_option_no'); ?>
						</label>
					</div>
					<div class="clear"></div>
					<div class="buttons">
						<button name="instant_book_mobile" type="submit"><img src="<?= _st('_/btn_save-small_'.Cubix_I18n::getLang(). '.gif') ?>" alt="Save" /></button>
						<button type="reset"><img src="<?= _st('_/btn_reset-small_'.Cubix_I18n::getLang(). '.gif') ?>" alt="Reset" /></button>
					</div>
				</div>
			</form>
		<?php endif; ?>

			<form id="newsletter-form" action="" method="post">
				<h3 class="vindent"><?= __('pv2_settings_newsletters') ?></h3>
				<div class="lindent">
					<label style="width: 100%"><?= __('pv2_settings_newsletters_question', array('sitename' => Cubix_Application::getById()->title)) ?></label>
					<div class="clear"></div>

					<dl class="options" style="margin: 10px 0 0 110px">
						<dt>
							<label for="newsletters-yes"><?= __('pv2_option_yes') ?></label><br/>
							<input onchange="$(this.form).fireEvent('submit').submit()" id="newsletters-yes" type="radio" name="newsletters" value="1"<?= $this->data['recieve_newsletters'] ? ' checked="checked"' : '' ?> />
						</dt>
						<dt>
							<label for="newsletters-no"><?= __('pv2_option_no') ?></label><br/>
							<input onchange="$(this.form).fireEvent('submit').submit()" id="newsletters-no" type="radio" name="newsletters" value="0"<?= ! $this->data['recieve_newsletters'] ? ' checked="checked"' : '' ?> />
						</dt>
					</dl>
					<div class="clear"></div>
				</div>
			</form>
			<script type="text/javascript">
				$('newsletter-form').addEvent('submit', function () { Navigation.overlay.disable(); });
			</script>
		</div>
	</fieldset>
</div>
